Bug 150857 - Missing support for "forcequotacheck"
Missing support for "forcequotacheck"
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: initscripts (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Brock Organ
Depends On: 168118
  Show dependency treegraph
Reported: 2005-03-11 08:56 EST by Peter Bieringer
Modified: 2014-03-16 22:52 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-09-12 14:18:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
/forcequotacheck support in rc.sysinit (983 bytes, patch)
2005-05-31 08:11 EDT, Tomasz Ostrowski
no flags Details | Diff

  None (edit)
Description Peter Bieringer 2005-03-11 08:56:02 EST
Description of problem:
initscripts does not support a straight forward mechanism to run a
later quotacheck on even clean partitions.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. install RHEL4
2. create some new partitions
3. mount some new partitions
4. decide to use quota on this (now already used) new partitions
5. extend entries in /etc/fstab
6. reboot

Actual Results:  Got quota error message, systen can't start quota
because of missing quota files

Expected Results:  rc.sysinit is more smarter, e.g.

1) support file /forcequotacheck

2) check on partitions with quota enabled in /etc/fstab for the quota
files and force quotacheck if not existing (so called initialize)

Additional info:
Comment 5 Tomasz Ostrowski 2005-05-31 08:11:41 EDT
Created attachment 114987 [details]
/forcequotacheck support in rc.sysinit

This is a proposed solution to this - a patch to /etc/rc.sysinit from Fedora
Core 3.

There is no easy way to enable quotas or force quotacheck because of corrupted
quota files so I think support for /forcequotacheck is needed. It could now
only be done in single user mode - quotacheck remount filesystems readonly,
which is impossible on life system - especially on "/" or "/var". Very hard for
unskilled administrator.

It could be possible to add support for checking quotas of some, not all
filesystems - but I think it is not needed. Also there could be possible to
force quotacheck if a filesystem have quotas enables but no quota files - but
this could trigger everytime for example on XSF filesystem, which does not need
quota files.
Comment 9 Milan Kerslager 2005-09-11 19:09:27 EDT
qutacheck should be run automagically when fsck fix a bug on FS because there
will be surely inconsistence (as FS has been modified and quota entries did not).
Comment 10 Milan Kerslager 2005-09-11 19:15:08 EDT
...my users always complaining after unexpected crashes when fsck has been
succesfully auto-run (and FS has been succesfully fixed). As I have 700+ users
and low quota, some of them are sometimes over the quota even they have empty
homedir and I have to run quotacheck manually in singleuser mode (and walk to
the server's room).
Comment 11 Bill Nottingham 2005-09-12 14:18:22 EDT
This problem is scheduled to be resolved in the next release of Red Hat
Enterprise Linux. Red Hat does not currently plan to provide a resolution for
this in a Red Hat Enterprise Linux update for currently deployed systems.

With the goal of minimizing risk of change for deployed systems, and in response
to customer and partner requirements, Red Hat takes a conservative approach when
evaluating changes for inclusion in maintenance updates for currently deployed
products. The primary objectives of update releases are to enable new hardware
platform support and to resolve critical defects. 

Note You need to log in before you can comment on or make changes to this bug.